input[type="text"][disabled],
textarea[disabled] {
    background-color: #f1eeee !important; /* Ganti dengan warna yang Anda inginkan */
    color: #000000; /* Ganti dengan warna teks yang Anda inginkan */
}

input[type="text"][readonly],
textarea[readonly] {
    background-color: #f6f3f3 !important; /* Ganti dengan warna yang Anda inginkan */
    color: #000000; /* Ganti dengan warna teks yang Anda inginkan */
}


/* Custom CSS Login */
.login-form {
    background: rgba(255, 255, 255, 0.5); /* Warna background dengan transparansi */
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    max-width: 400px;
    width: 100%;
}

.login-form h2 {
    margin-bottom: 0.2rem; /* Jarak lebih rapat di bawah tulisan "Login" */
}

.login-form h5 {
    margin-top: 0.2rem;
    margin-bottom: 1rem; /* Jarak lebih jauh dari input "Username" */
    font-weight: 300;
}

.login-form form {
    margin-top: 1.5rem; /* Jarak lebih jauh antara tulisan dan input Username */
}


/* select2 */
select {
    height: 48px; /* Sesuaikan dengan tinggi input text Anda */
}

/* Mengatur tinggi Select2 */
.select2-container .select2-selection--single {
    height: 37px !important; /* Sesuaikan dengan tinggi input text Anda */
    display: flex;
    align-items: center;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    line-height: 38px !important; /* Sesuaikan dengan tinggi input text Anda */
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 38px !important; /* Sesuaikan dengan tinggi input text Anda */
}


ul.timeline {
    list-style-type: none;
    position: relative;
    padding: 0;
    margin: 0;
}

ul.timeline:before {
    content: '';
    background: #22c0e8;
    position: absolute;
    left: 20px;
    top: 20px;
    width: 2px;
    height: calc(100% - 40px); /* Adjusts to not exceed the last circle */
    z-index: 1;
}

ul.timeline > li {
    margin: 20px 0;
    padding-left: 40px;
    position: relative;
}

ul.timeline > li:before {
    content: '';
    background: #22c0e8;
    position: absolute;
    border-radius: 50%;
    border: 3px solid #22c0e8;
    left: 10px;
    top: 0;
    width: 20px;
    height: 20px;
    z-index: 2;
}

ul.timeline > li a {
    font-weight: bold;
    display: block;
    margin-bottom: 5px;
}

ul.timeline > li p {
    margin: 0;
    font-size: 14px;
    color: #555;
}

/* Special adjustment for last item */
ul.timeline > li:last-child:before {
    top: 0; /* Align circle at the end */
}

ul.timeline:before {
    height: calc(100% - 50px); /* Ends the line exactly at the last circle */
}


hr {
    border: none; /* Hilangkan border default */
    height: 2px; /* Atur tinggi garis */
    background-color: #ccc; /* Warna dasar */
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.2); /* Bayangan untuk efek 3D */
}

